import { UserProfileIconE2EComponent } from './user-profile-icon.component.e2e';
import { UserProfileSearchE2EComponent } from './user-profile-search.component.e2e';

export class UserProfileE2EComponent {
  private readonly locatorUserProfileName: string = 'user-profile-name';

  constructor(private root: string) {}

  public getRoot() {
    return cy.getTestElement(this.root);
  }

  public getIconContainer(): UserProfileIconE2EComponent {
    return new UserProfileIconE2EComponent(this.root);
  }

  public getSearchContainer(): UserProfileSearchE2EComponent {
    return new UserProfileSearchE2EComponent(this.root);
  }

  public getName() {
    return this.getRoot().findTestElementWithClass(this.locatorUserProfileName);
  }
}
