import { initOrganisationsEinheitenData } from './cypress-helper';
import { OrganisationsEinheitE2E } from './organisationseinheit';

const denkmalpflegeOrganisationseinheitFixture = require('../fixtures/organisationseinheit/denkmalpflege.json');
const bauamtOrganisationseinheitFixture = require('../fixtures/organisationseinheit/bauamt.json');
const fundstelleOrganisationseinheitFixture = require('../fixtures/organisationseinheit/fundstelle.json');

export function initOrganisationsEinheit(organisationsEinheiten: OrganisationsEinheitE2E): void {
  initOrganisationsEinheitenData([organisationsEinheiten]);
}

export function initOrganisationsEinheiten(organisationsEinheiten: OrganisationsEinheitE2E[]): void {
  initOrganisationsEinheitenData(organisationsEinheiten);
}

export function createBauamtOrganisationsEinheit(): OrganisationsEinheitE2E {
  return bauamtOrganisationseinheitFixture;
}

export function createFundstelleOrganisationsEinheit(): OrganisationsEinheitE2E {
  return fundstelleOrganisationseinheitFixture;
}

export function createDenkmalpflegeOrganisationsEinheit(): OrganisationsEinheitE2E {
  return denkmalpflegeOrganisationseinheitFixture;
}
