import { ObjectIdE2E } from '../model/util';

export class OrganisationsEinheitE2E {
  _id: ObjectIdE2E;
  name: string;
  organisationsEinheitId: string;
  syncResult: OrganisationsEinheitSyncResultE2E;
  settings: OrganisationsEinheitSettingsE2E;
}

export enum OrganisationsEinheitSyncResultE2E {
  OK = 'OK',
  NOT_FOUND_IN_PVOG = 'NOT_FOUND_IN_PVOG',
  NAME_MISMATCH = 'NAME_MISMATCH',
  ORGANISATIONSEINHEIT_ID_NOT_UNIQUE = 'ORGANISATIONSEINHEIT_ID_NOT_UNIQUE',
  DELETED = 'DELETED',
}

export class OrganisationsEinheitSettingsE2E {
  signatur: string;
}
