import { BescheidResource, BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Resource } from '@ngxp/rest';

@Component({
  selector: 'alfa-bescheid-wizard-antrag-bescheiden',
  templateUrl: './bescheid-wizard-antrag-bescheiden.component.html',
})
export class BescheidWizardAntragBescheidenComponent {
  @Input() vorgangWithEingangResource: VorgangWithEingangResource;
  @Input() bescheidResource: BescheidResource;
  @Input() submitStateResource: StateResource<Resource>;

  @Output() weiterClickEmitter: EventEmitter<BescheidWizardStep> = new EventEmitter<BescheidWizardStep>();
  @Output() vorgangAbgeschlossen: EventEmitter<void> = new EventEmitter<void>();

  public readonly bescheidWizardStep = BescheidWizardStep;
}
