import { BescheidLinkRel, BescheidResource } from '@alfa-client/bescheid-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { BescheidFormService } from '../../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-antrag-bescheiden-form',
  templateUrl: './bescheid-wizard-antrag-bescheiden-form.component.html',
})
export class BescheidWizardAntragBescheidenFormComponent {
  @Input() vorgangWithEingangResource: VorgangWithEingangResource;
  @Input() bescheidResource: BescheidResource;
  @Input() submitStateResource: StateResource<Resource>;

  @Output() weiterClickEmitter = new EventEmitter<void>();

  public readonly vorgangWithEingangLinkRel = VorgangWithEingangLinkRel;
  public readonly bescheidLinkRel = BescheidLinkRel;
  public readonly formServiceClass = BescheidFormService;

  constructor(public readonly formService: BescheidFormService) {}
}
