import { BescheidResource, BescheidService } from '@alfa-client/bescheid-shared';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-beschieden-date-container',
  templateUrl: './beschieden-date-container.component.html',
})
export class BeschiedenDateContainerComponent implements OnInit {
  public bescheid$: Observable<BescheidResource>;

  constructor(private bescheidService: BescheidService) {}

  ngOnInit(): void {
    this.bescheid$ = this.bescheidService.getLastBescheid();
  }
}
