import { CollaborationListLinkRel, CollaborationListResource } from '@alfa-client/collaboration-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'alfa-collaboration-in-vorgang',
  templateUrl: './collaboration-in-vorgang.component.html',
})
export class CollaborationInVorgangComponent {
  @Input() public vorgang: VorgangWithEingangResource;
  @Input() public collaborationStateListResource: StateResource<CollaborationListResource>;
  @Input() public showOrganisationsEinheitAnfrageButton: boolean;
  @Input() public showExterneFachstelleAnfrageButton: boolean;

  public readonly collaborationListLinkRel = CollaborationListLinkRel;
}
