export const ESCAPE_KEY = 'Escape';
export const ENTER_KEY = 'Enter';
export const ARROW_DOWN_KEY = 'ArrowDown';
export const ARROW_UP_KEY = 'ArrowUp';

export function isEscapeKey(keyboardEvent: KeyboardEvent) {
  return keyboardEvent.key === ESCAPE_KEY;
}

export function isEnterKey(keyboardEvent: KeyboardEvent) {
  return keyboardEvent.key === ENTER_KEY;
}

export function isArrowDownKey(keyboardEvent: KeyboardEvent) {
  return keyboardEvent.key === ARROW_DOWN_KEY;
}

export function isArrowUpKey(keyboardEvent: KeyboardEvent) {
  return keyboardEvent.key === ARROW_UP_KEY;
}
