import { Pipe, PipeTransform } from '@angular/core';
import { Resource, ResourceUri, getUrl } from '@ngxp/rest';

@Pipe({ name: 'getUrl' })
export class GetUrlPipe implements PipeTransform {
  transform(resource: Resource, link: string): ResourceUri {
    return getUrl(resource, link);
  }
}
