package de.ozgcloud.alfa.collaboration;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.ozgcloud.alfa.common.LinkedResource;
import de.ozgcloud.alfa.common.command.CommandBody;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class Collaboration implements CommandBody {

	@JsonIgnore
	private String vorgangId;
	@JsonIgnore
	private String collaborationVorgangId;

	private String titel;
	private String beschreibung;
	private int collaborationLevel;

	@LinkedResource(controllerClass = OrganisationsEinheitController.class)
	private String zustaendigeStelle;
}
