package de.ozgcloud.alfa.collaboration;

import java.util.stream.Stream;

import org.springframework.stereotype.Service;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Service
class FachstelleService {

	private final FachstelleRemoteService remoteService;

	public Fachstelle getById(String id) {
		return remoteService.getById(id);
	}

	public Stream<Fachstelle> searchFachstellen(String searchBy) {
		return remoteService.search(searchBy);
	}

}
