package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelle;
import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelleSearchResponse;

public class GrpcFachstelleSearchResponseTestFactory {

	public static final GrpcFachstelle FACHSTELLE = GrpcFachstelleTestFactory.create();

	public static GrpcFachstelleSearchResponse create() {
		return createBuilder()
				.build();
	}

	public static GrpcFachstelleSearchResponse.Builder createBuilder() {
		return GrpcFachstelleSearchResponse.newBuilder()
				.addFachstellen(FACHSTELLE);
	}
}
