package de.ozgcloud.alfa.export;

import com.google.protobuf.ByteString;
import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.archive.grpc.export.GrpcFile;

class GrpcFileTestFactory {

	public static final String FILE_NAME = LoremIpsum.getInstance().getName();
	public static final ByteString FILE_CONTENT = ByteString.copyFromUtf8(LoremIpsum.getInstance().getWords(10));

	public static GrpcFile createWithName() {
		return createBuilder().setFileName(FILE_NAME).build();
	}

	public static GrpcFile createWithContent() {
		return createBuilder().setFileContent(FILE_CONTENT).build();
	}

	public static GrpcFile.Builder createBuilder() {
		return GrpcFile.newBuilder();
	}
}
