import { createUser } from '../../../test/user/user';
import { User } from './user.model';
import { sortUsersByLastName } from './user.util';

describe('user util', () => {
  describe('sort users by last name', () => {
    const users: User[] = [
      { ...createUser(), lastName: 'Müller' },
      { ...createUser(), lastName: 'Schmidt' },
      { ...createUser(), lastName: 'Anders' },
    ];

    it('shoud sort users by last name alphabetically ', () => {
      const sortedUsers: User[] = sortUsersByLastName(users);

      expect(sortedUsers[0].lastName).toBe('Anders');
      expect(sortedUsers[1].lastName).toBe('Müller');
      expect(sortedUsers[2].lastName).toBe('Schmidt');
    });
  });
});
