import { BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-bescheid-wizard-stepper',
  templateUrl: './bescheid-wizard-stepper.component.html',
})
export class BescheidWizardStepperComponent {
  @Input() activeStep: BescheidWizardStep;

  @Output() stepChange: EventEmitter<BescheidWizardStep> = new EventEmitter<BescheidWizardStep>();

  public readonly steps: BescheidWizardStep[] = [
    BescheidWizardStep.AntragBescheiden,
    BescheidWizardStep.DokumenteHochladen,
    BescheidWizardStep.BescheidVersenden,
  ];
}
