import { BescheidService } from '@alfa-client/bescheid-shared';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-beschieden-date-in-vorgang-container',
  templateUrl: './beschieden-date-in-vorgang-container.component.html',
})
export class BeschiedenDateInVorgangContainerComponent implements OnInit {
  public existBescheid$: Observable<boolean>;

  constructor(private service: BescheidService) {}

  ngOnInit(): void {
    this.existBescheid$ = this.service.existBescheid();
  }
}
