import { ResourceRepository } from '@alfa-client/tech-shared';
import { VorgangService } from '@alfa-client/vorgang-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CollaborationListResourceService, createCollaborationListResourceService } from './collaboration-list-resource.service';
import { CollaborationService } from './collaboration.service';

@NgModule({
  imports: [CommonModule],
  providers: [
    CollaborationService,
    {
      provide: CollaborationListResourceService,
      useFactory: createCollaborationListResourceService,
      deps: [ResourceRepository, VorgangService],
    },
  ],
})
export class CollaborationSharedModule {}
