import { jest } from '@jest/globals';
import { EMPTY, Observable } from 'rxjs';

export class DialogRefMock<R = unknown> {
  public keydownEvents: Observable<KeyboardEvent> = EMPTY;
  public closed: Observable<R> = EMPTY;

  public close = jest.fn();
}

export function createDialogRefMock<R = unknown>(): DialogRefMock<R> {
  return new DialogRefMock();
}
