import { Component, Input } from '@angular/core';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-step-content',
  templateUrl: './vorgang-detail-bescheiden-step-content.component.html',
  styles: [':host {@apply flex}'],
})
export class VorgangDetailBescheidenStepContentComponent {
  @Input() stepTitle: string;
  @Input() step: number;
  @Input() nextStep: number;
  @Input() activeStep: number = 1;

  public shouldShowStep(): boolean {
    return this.activeStep > this.step - 1;
  }

  public shouldShowStepContent(): boolean {
    return this.activeStep === this.step;
  }
}
