import { ListItemResource, ListResource } from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';

export interface OrganisationsEinheit {
  name: string;
  anschrift: Anschrift;
}

export interface Anschrift {
  strasse: string;
  hausnummer: string;
  plz: string;
  ort: string;
}

export interface OrganisationsEinheitResource extends OrganisationsEinheit, Resource, ListItemResource {}
export interface OrganisationsEinheitListResource extends ListResource {}
export declare type OrganisationsEinheitItemResource = Resource & OrganisationsEinheit;
