import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { InstantSearchResult } from '@ods/system';
import { SearchZustaendigeStelleFormservice } from '../search-zustaendige-stelle.formservice';

@Component({
  selector: 'alfa-search-zustaendige-stelle-form',
  templateUrl: './search-zustaendige-stelle-form.component.html',
  providers: [SearchZustaendigeStelleFormservice],
})
export class SearchZustaendigeStelleFormComponent<T extends Resource> {
  @Input() public searchResults: InstantSearchResult<T>[];

  @Output() public search: EventEmitter<string> = new EventEmitter();
  @Output() public selectSearchResult: EventEmitter<T> = new EventEmitter();
  @Output() public clearSearchResult: EventEmitter<string> = new EventEmitter();

  constructor(public formService: SearchZustaendigeStelleFormservice) {}
}
