package de.ozgcloud.alfa;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Configuration
@ConfigurationProperties(prefix = SpringJwtProperties.PREFIX)
public class SpringJwtProperties {

	static final String PREFIX = "spring.security.oauth2.resourceserver.jwt";

	/**
	 * Jwt jwk set uri
	 */
	private String jwkSetUri = null;
}