package de.ozgcloud.alfa.aktenzeichen;

import static de.ozgcloud.alfa.common.ValidationMessageCodes.*;

import de.ozgcloud.alfa.common.command.CommandBody;
import jakarta.validation.constraints.Size;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Getter
@Builder(toBuilder = true)
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@ToString
public class AktenzeichenCommandBody implements CommandBody {

	@Size(max = 256, message = FIELD_MAX_SIZE)
	String aktenzeichen;
}
