package de.ozgcloud.alfa.bescheid;

import de.ozgcloud.bescheid.GrpcBescheid;
import de.ozgcloud.bescheid.GrpcGetBescheidDraftResponse;

public class GrpcGetBescheidDraftResponseTestFactory {

	public static final GrpcBescheid GRPC_BESCHEID = GrpcBescheidTestFactory.create();

	public static GrpcGetBescheidDraftResponse create() {
		return createBuilder().build();
	}

	public static GrpcGetBescheidDraftResponse.Builder createBuilder() {
		return GrpcGetBescheidDraftResponse.newBuilder()
				.setBescheid(GRPC_BESCHEID);
	}
}
