package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelle;

public class GrpcFachstelleTestFactory {
	public static final String ID = FachstelleTestFactory.ID;
	public static final String NAME = FachstelleTestFactory.NAME;
	public static final String ANSCHRIFT = FachstelleTestFactory.ANSCHRIFT;
	public static final String EMAIL = FachstelleTestFactory.EMAIL;

	public static GrpcFachstelle create() {
		return createBuilder().build();
	}

	public static GrpcFachstelle.Builder createBuilder() {
		return GrpcFachstelle.newBuilder()
				.setId(ID)
				.setFirmenName(NAME)
				.setAnschrift(ANSCHRIFT)
				.setEmailAdresse(EMAIL);
	}

}
