package de.ozgcloud.alfa.collaboration;

import java.util.UUID;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcZustaendigkeit;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcZustaendigkeit.Builder;

public class GrpcZustaendigkeitTestFactory {
	public static final GrpcXzufiId ID = GrpcXzufiIdTestFactory.create();
	public static final String GEBIET_ID = UUID.randomUUID().toString();

	public static GrpcZustaendigkeit create() {
		return createBuilder().build();
	}

	private static Builder createBuilder() {
		return GrpcZustaendigkeit.newBuilder()
				.setXzufiId(ID)
				.setGebietId(GEBIET_ID);
	}
}
